%
% 	File to generate a zero array with a single impulse at a
% specified location
%
%  function [image] = impulse(row,col,row_dimension,col_dimension)
%
%  Inputs 
%	row	      -	row location of impulse  
%	col           -	col location of impulse  
% 	row_dimension - number of rows in the image
%	col_dimension - number of columns in the image
%
%  Outputs
%	image 		- array containing impulse
%  
function [image] = impulse(row,col,row_dimension, col_dimension)
%
if ((row < 1) | (row > row_dimension))
    error('Incorrect row dimensions')
    end
if ((col < 1) | (col > col_dimension))
    error('Incorrect column dimensions')
    end
image =  zeros(row_dimension, col_dimension);
image(row,col) = 1.0;
